1. Packages
  2. Packages
  3. Pulumi Cloud (Pulumi Service provider)
  4. API Docs
  5. api
  6. api/esc
  7. EnvironmentSettings

This provider is currently in preview.

Viewing docs for Pulumi Cloud v1.1.0
published on Thursday, May 21, 2026 by Pulumi
pulumiservice logo

This provider is currently in preview.

Viewing docs for Pulumi Cloud v1.1.0
published on Thursday, May 21, 2026 by Pulumi

    Updates settings for a Pulumi ESC environment using a partial update (patch) approach. Currently supports toggling deletion protection via the deletionProtected field. When deletionProtected is set to true, the environment cannot be deleted until the setting is explicitly disabled. Only the fields included in the request body are modified; omitted fields retain their current values.

    Create EnvironmentSettings Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new EnvironmentSettings(name: string, args: EnvironmentSettingsArgs, opts?: CustomResourceOptions);
    @overload
    def EnvironmentSettings(resource_name: str,
                            args: EnvironmentSettingsArgs,
                            opts: Optional[ResourceOptions] = None)
    
    @overload
    def EnvironmentSettings(resource_name: str,
                            opts: Optional[ResourceOptions] = None,
                            env_name: Optional[str] = None,
                            org_name: Optional[str] = None,
                            project_name: Optional[str] = None,
                            deletion_protected: Optional[bool] = None)
    func NewEnvironmentSettings(ctx *Context, name string, args EnvironmentSettingsArgs, opts ...ResourceOption) (*EnvironmentSettings, error)
    public EnvironmentSettings(string name, EnvironmentSettingsArgs args, CustomResourceOptions? opts = null)
    public EnvironmentSettings(String name, EnvironmentSettingsArgs args)
    public EnvironmentSettings(String name, EnvironmentSettingsArgs args, CustomResourceOptions options)
    
    type: pulumiservice:api/esc:EnvironmentSettings
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "pulumiservice_api_esc_environmentsettings" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args EnvironmentSettingsArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args EnvironmentSettingsArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args EnvironmentSettingsArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args EnvironmentSettingsArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args EnvironmentSettingsArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var environmentSettingsResource = new PulumiService.Api.Esc.EnvironmentSettings("environmentSettingsResource", new()
    {
        EnvName = "string",
        OrgName = "string",
        ProjectName = "string",
        DeletionProtected = false,
    });
    
    example, err := esc.NewEnvironmentSettings(ctx, "environmentSettingsResource", &esc.EnvironmentSettingsArgs{
    	EnvName:           pulumi.String("string"),
    	OrgName:           pulumi.String("string"),
    	ProjectName:       pulumi.String("string"),
    	DeletionProtected: pulumi.Bool(false),
    })
    
    resource "pulumiservice_api_esc_environmentsettings" "environmentSettingsResource" {
      env_name           = "string"
      org_name           = "string"
      project_name       = "string"
      deletion_protected = false
    }
    
    var environmentSettingsResource = new EnvironmentSettings("environmentSettingsResource", EnvironmentSettingsArgs.builder()
        .envName("string")
        .orgName("string")
        .projectName("string")
        .deletionProtected(false)
        .build());
    
    environment_settings_resource = pulumiservice.api.esc.EnvironmentSettings("environmentSettingsResource",
        env_name="string",
        org_name="string",
        project_name="string",
        deletion_protected=False)
    
    const environmentSettingsResource = new pulumiservice.api.esc.EnvironmentSettings("environmentSettingsResource", {
        envName: "string",
        orgName: "string",
        projectName: "string",
        deletionProtected: false,
    });
    
    type: pulumiservice:api/esc:EnvironmentSettings
    properties:
        deletionProtected: false
        envName: string
        orgName: string
        projectName: string
    

    EnvironmentSettings Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The EnvironmentSettings resource accepts the following input properties:

    EnvName string
    The environment name
    OrgName string
    The organization name
    ProjectName string
    The project name
    DeletionProtected bool
    DeletionProtected indicates whether deletion protection should be enabled for this environment. Null means no change.
    EnvName string
    The environment name
    OrgName string
    The organization name
    ProjectName string
    The project name
    DeletionProtected bool
    DeletionProtected indicates whether deletion protection should be enabled for this environment. Null means no change.
    env_name string
    The environment name
    org_name string
    The organization name
    project_name string
    The project name
    deletion_protected bool
    DeletionProtected indicates whether deletion protection should be enabled for this environment. Null means no change.
    envName String
    The environment name
    orgName String
    The organization name
    projectName String
    The project name
    deletionProtected Boolean
    DeletionProtected indicates whether deletion protection should be enabled for this environment. Null means no change.
    envName string
    The environment name
    orgName string
    The organization name
    projectName string
    The project name
    deletionProtected boolean
    DeletionProtected indicates whether deletion protection should be enabled for this environment. Null means no change.
    env_name str
    The environment name
    org_name str
    The organization name
    project_name str
    The project name
    deletion_protected bool
    DeletionProtected indicates whether deletion protection should be enabled for this environment. Null means no change.
    envName String
    The environment name
    orgName String
    The organization name
    projectName String
    The project name
    deletionProtected Boolean
    DeletionProtected indicates whether deletion protection should be enabled for this environment. Null means no change.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the EnvironmentSettings resource produces the following output properties:

    Id string
    The provider-assigned unique ID for this managed resource.
    Id string
    The provider-assigned unique ID for this managed resource.
    id string
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.
    id string
    The provider-assigned unique ID for this managed resource.
    id str
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.

    Package Details

    Repository
    pulumiservice pulumi/pulumi-pulumiservice
    License
    Apache-2.0
    pulumiservice logo

    This provider is currently in preview.

    Viewing docs for Pulumi Cloud v1.1.0
    published on Thursday, May 21, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial